fragment PoolResultsFields on Pool {
  address: id
  feeTier
  liquidity
  sqrtPrice
  tick
  totalValueLockedToken0
  totalValueLockedToken1
  volumeToken0
  volumeToken1
  volumeUSD
  totalValueLockedUSD
  token0 {
    address: id
    symbol
    name
    decimals
    derivedETH
  }
  token1 {
    address: id
    symbol
    name
    decimals
    derivedETH
  }
  poolDayData(
    first: 1,
    orderBy: date,
    orderDirection: desc
  ) {
    volumeUSD
    volumeToken0
    volumeToken1
  }
}

query PoolResultsQuery($tokens: [Bytes]!, $id: String) {
  as0: pools(
    where: { token0_in: $tokens },
    orderBy: totalValueLockedUSD,
    orderDirection: desc,
    subgraphError: allow
  ) {
    ...PoolResultsFields
  }

  as1: pools(
    where: { token1_in: $tokens },
    orderBy: totalValueLockedUSD,
    orderDirection: desc,
    subgraphError: allow
  ) {
    ...PoolResultsFields
  }

  asAddress: pools(
    where: { id: $id },
    orderBy: totalValueLockedUSD,
    orderDirection: desc,
    subgraphError: allow
  ) {
    ...PoolResultsFields
  }
}
